


/* This represents a generic binary object that knows how to serialize
 * itself. The content is stored in value, whilst the serializer function
 * pointer should point to a function that knows how to convert the
 * content into a string.
 */

typedef struct
{
    char *(*serializer)(void *);
    void *value;
} genericExtensibilityType;

char *
ogsa_core_grid_service_queryByServiceDataName_create_string_from_struct(
                    void *);

char *
ogsa_core_grid_service_queryByServiceDataXPath_create_string_from_struct(
                    queryByServiceDataXPath_handle *);

globus_result_t ogsa_core_grid_service_queryByServiceDataName_init(
                    genericExtensibilityType **h);



void ogsa_core_grid_service_ExtensibilityType_free(
                    genericExtensibilityType *h);
